
package de.ivu.elect.presentation.gruppe.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.gruppe.entity.Gruppe;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(GruppeActionMenu.COMPONENT_NAME)
public class GruppeActionMenu extends AbstractActionMenuModelBuilder<Gruppe> {

  public static final String COMPONENT_NAME = "gruppeActionMenu";

  private static final long serialVersionUID = 1L;

  @Inject
  protected transient GruppeEditAction gruppeEditAction;

  @Inject
  protected transient GruppeLogoAction gruppeLogoAction;

  @Inject
  protected transient GruppeDeleteAction gruppeDeleteAction;

  public GruppeActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<Gruppe>> getActionEntriesSorted() {
    List<ActionEntry<Gruppe>> result = new ArrayList<>();

    result.add(gruppeEditAction);
    result.add(gruppeLogoAction);
    result.add(gruppeDeleteAction);

    return result;
  }
}
